Page MenuHomePhabricator

API should allow for marking individual values of enum-style parameters as deprecated
Closed, ResolvedPublic

Description

See https://gerrit.wikimedia.org/r/#/c/264718/ for an example of a use case.

Brainstorming:

  • Add ApiBase::PARAM_VALUE_DEPRECATED as a string[] naming the deprecated parameters.
  • ApiParamInfo would want to include this in its output.
  • In combination with ApiBase::PARAM_HELP_MSG_PER_VALUE, ApiHelp and ApiParamInfo should indicate this in the message text.
  • Would there be a sane way to indicate it in the "list of possible values" too?
  • Parameter type 'submodule' should ideally pick this up from the submodules' isDeprecated() methods, but be careful of performance. See also T123930.

Details

Related Gerrit Patches:

Event Timeline

Anomie created this task.Jan 18 2016, 3:34 PM
Anomie raised the priority of this task from to Medium.
Anomie updated the task description. (Show Details)
Anomie added a project: MediaWiki-API.
Anomie moved this task to Needs details or plan on the MediaWiki-API board.
Anomie added a subscriber: Anomie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2016, 3:34 PM
Anomie updated the task description. (Show Details)Jan 18 2016, 3:38 PM
Anomie set Security to None.
Anomie updated the task description. (Show Details)

Change 355818 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] API: Add the ability to flag parameter values as deprecated

https://gerrit.wikimedia.org/r/355818

Anomie claimed this task.May 26 2017, 8:25 PM
Anomie moved this task from Needs details or plan to Needs Review on the MediaWiki-API board.

Change 355818 merged by jenkins-bot:
[mediawiki/core@master] API: Add the ability to flag parameter values as deprecated

https://gerrit.wikimedia.org/r/355818

Anomie closed this task as Resolved.Jun 21 2017, 5:02 PM

The "Parameter type 'submodule' should ideally pick this up from the submodules' isDeprecated() methods" bit is being done as part of T123930.